@php
/*
24 May 2018 . Juan Pablo Sánchez Bracamontes . Vista principal del Reporte concentrado de referencias solicitadas
*/
    use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $id_doc = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);
    
    $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Encargado = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);

    $obj = $soapclient->ConsultaExterna_getLstPersonalDeReferencia($id_doc, '', '0', '',$wsClave);
    $Modulos = new SimpleXMLElement(utf8_encode($obj));

@endphp
@extends('layouts.app')

@section('title', 'Reporte concentrado de referencias solicitadas')
@section('breadcrumb')
    <li class="active">Reporte concentrado de referencias solicitadas</li>
@endsection
@section('styles')
    <style>

  #mnuCtx_Usuarios #tblCTmenu tr:hover{
    font-weight: 600; 
    cursor: pointer;
    color: #00631b;
    font-size: 16px;  
  }

  #mnuCtx_Usuarios #tblCTmenu tr:active{    
    font-size: 16px;    
    background-color: #848587;
    color: #fff;
  }

  .hSep20px{    
    height: 20px;
  }

  .w90{
    width: 90%;    
  }

    </style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>
<link rel="stylesheet" href="css/smoothness.datepick.css">

<link rel="stylesheet" href="css/jquery.datepick.css">
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

@section('content')

    <div class="row" id="consultaExterna_rptConcentrado" name="consultaExterna_rptConcentrado">


        <div class="box box-primary">
              <div class="box-header with-border">
                  <h3 class="box-title">Búsquedas</h3>
                  <div class="box-tools pull-right">
                      <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                  </div>
              </div>

              <div class="box-body">
                  <div class="row" id="objConsultaReferencias" name="objConsultaReferencias">

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Centro de Salud</span>
                          <select style="width: 100%; " class="form-control" id="vCat_ConfCSRefPorUMED_porDestino" name="vCat_ConfCSRefPorUMED_porDestino"><option value="">Todos</option>                          
                          <?php foreach($Modulos->respuesta AS $row){ echo '<option value="'.$row->clues_origen.'" >'.utf8_decode($row->umed_origen).'</option>'; } ?>
                          </select>
                        </div>
                      </div>

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Tipo de Solicitud</span>
                          {!! $var->getView('Catalogos\VistasController@vCat_TipoSolicitud_Referencia','todos=1'); !!}
                        </div>
                      </div>

                      

                      <div class="col-sm-5 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">FECHA </span>
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Inicio</span>
                          <input type="text" id="txtFechaIni" name="txtFechaIni" class="form-control" width="100%" height="100%" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de cierre del rango de búsqueda">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Cierre</span>
                          <input type="text" id="txtFechaFin" name="txtFechaFin" class="form-control" width="100%" height="100%" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de cierre del rango de búsqueda">
                        </div>
                      </div>
                      
                      

                     

                      <div class="col-sm-12 row alinear_centrado">
                        <a href="#" id="btn_listar_bp" name="btn_listar_bp" class="btn btn-sm btn-primary">Generar</a>

                        <a href="administrar-micuenta" class="btn btn-sm  btn-sm btn-danger">Cancelar</a>                        

                        <a href="#" id="btn_excel_bp" name="btn_excel_bp" class="btn btn-sm  btn-sm btn-success">Exportar</a>
                      </div>

                  </div>
                  <div class="hSep20px w90"></div>
                  <div id="searchContainer_referencias" name="searchContainer_referencias"></div>
              </div>
          </div>


        








      </div>

@endsection

@section('scripts')

  <script type="text/javascript">

    var reg_seleccionado = {clave_pac: '', id_solicitud: '', clues_origen: '', id_doc: '',  centro_sal: ''};    

    function SmoothScrollTo(id_or_Name, timelength=500){            
      $('html, body').animate({
        scrollTop: $(id_or_Name).offset().top-70
      }, timelength, function(){
        window.location.hash = id_or_Name;
      });
    };
	
	function isValidDate(dateString){
		// revisar el patrón
		//if(!/^\d{4}\-\d{1,2}\-\d{1,2}$/.test(dateString))
		//	return false;

		// convertir los numeros a enteros
		var parts = dateString.split("/");
		var day = parseInt(parts[0], 10);
		var month = parseInt(parts[1], 10);
		var year = parseInt(parts[2], 10);

		// Revisar los rangos de año y mes
		if( (year < 1000) || (year > 3000) || (month == 0) || (month > 12) )
			return false;

		var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

		// Ajustar para los años bisiestos
		if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
			monthLength[1] = 29;

		// Revisar el rango del dia
		return day > 0 && day <= monthLength[month - 1];
	};

    $(document).ready(function(){      
      $('#txtFechaIni').datepick({dateFormat: 'dd/mm/yyyy'});
      $('#txtFechaFin').datepick({dateFormat: 'dd/mm/yyyy'});
    }); 


      $(document).on("click", "#btn_listar_bp", function(){           
        
		if($('#objConsultaReferencias'+' #txtFechaIni').val().trim() == ""){
			$.notify("Proporcione la fecha de inicio", "warning");
			$('#objConsultaReferencias'+' #txtFechaIni').focus();
			return;
		}
				
		if(isValidDate($('#objConsultaReferencias'+' #txtFechaIni').val().replace("-", "/").replace(".", "/").replace(" ", "/")) != true){
			$.notify("Proporcione la fecha de inicio válida", "warning");
			$('#objConsultaReferencias'+' #txtFechaIni').focus();
			return;
		}
		
		if($('#objConsultaReferencias'+' #txtFechaFin').val().trim() == ""){
			$.notify("Proporcione la fecha de cierre", "warning");
			$('#objConsultaReferencias'+' #txtFechaFin').focus();
			return;
		}

		if(isValidDate($('#objConsultaReferencias'+' #txtFechaFin').val().replace("-", "/").replace(".", "/").replace(" ", "/")) != true){
			$.notify("Proporcione la fecha de cierre válida", "warning");
			$('#objConsultaReferencias'+' #txtFechaFin').focus();
			return;
		}
		
        var parametros = {          
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),          
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_cierre: $('#objConsultaReferencias'+' #txtFechaFin').val()                    
        };

        jqGetAjaxShort("estadistica/get_rpt_concentrado_solicitudes_referencias","searchContainer_referencias", parametros);

      });

            
      $(document).on("click", "#btn_excel_bp", function(){   
        
		if($('#objConsultaReferencias'+' #txtFechaIni').val().trim() == ""){
			$.notify("Proporcione la fecha de inicio", "warning");
			$('#objConsultaReferencias'+' #txtFechaIni').focus();
			return;
		}
				
		if(isValidDate($('#objConsultaReferencias'+' #txtFechaIni').val().replace("-", "/").replace(".", "/").replace(" ", "/")) != true){
			$.notify("Proporcione la fecha de inicio válida", "warning");
			$('#objConsultaReferencias'+' #txtFechaIni').focus();
			return;
		}
		
		if($('#objConsultaReferencias'+' #txtFechaFin').val().trim() == ""){
			$.notify("Proporcione la fecha de cierre", "warning");
			$('#objConsultaReferencias'+' #txtFechaFin').focus();
			return;
		}

		if(isValidDate($('#objConsultaReferencias'+' #txtFechaFin').val().replace("-", "/").replace(".", "/").replace(" ", "/")) != true){
			$.notify("Proporcione fecha de cierre válida", "warning");
			$('#objConsultaReferencias'+' #txtFechaFin').focus();
			return;
		}
		
        var parametros = {          
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),          
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_cierre: $('#objConsultaReferencias'+' #txtFechaFin').val()                    
        };

        openWindowWithPostRequest('estadistica/rpt_concentrado_solicitudes_referencias_csv',parametros, 'resizable=no,height=200,width=200,location=0,menubar=0,scrollbars=0', true);        

      });
    
  </script>
@endsection
